<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Assesment</title>
</head>
<body>

<div layout:fragment="main" class="container">

  <form method="get">
  <div class="row mb-3">
    <h3 class="mb-5"><i class="fa-solid fa-clipboard-check" style="color: #d3b30d"></i> List Assesment</h3>

    <div th:if="${ada == 0}" class="alert alert-warning" role="alert">
      <span> Jadwal penilaian belum dimulai.. lihat di halaman beranda untuk informasi jadwal penilaian anda..</span>
    </div>
    <div class="col-md-2">
      <select class="form-select" id="status" name="status" aria-label="Default select example" >
        <option th:value="${null}" th:selected="${selectSemua}">Semua</option>
        <option th:value="${'BI'}" th:selected="${selectBi}">Belum ada Item</option>
        <option th:value="${'BN'}" th:selected="${selectBn}">Belum dinilai</option>
        <option th:value="${'BSN'}" th:selected="${selectBsn}">Belum selesai dinilai</option>
        <option th:value="${'SE'}" th:selected="${selectSe}">Selesai</option>
      </select>
    </div>
    <div class="col-md-9">
      <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Cari berdasarkan nama atau perguruan tinggi">
    </div>
    <div class="col-md-1 d-grid gap-2">
      <button type="submit" class="btn btn-success">Cari</button>
    </div>
  </div>
  </form>
  <div class="row mb-3">
    <div class="col-md-12">
      <table class="table table-bordered table-responsive mb-4">
        <thead class="table-dark bg-success border-white align-middle text-center" style="--bs-table-bg:bg-success;">
        <tr class="align-middle text-center">
          <th class="p-4" width="20px">No.</th>
          <th class="p-4" >Nama Dosen</th>
          <th class="p-4" >Status</th>
          <th class="p-4" width="10px">Aksi</th>
        </tr>
        </thead>
        <tbody th:each="data,row : ${listAssesment}" class="align-middle">
        <tr>
          <td class="text-end" th:text="${(row.index + 1)}"></td>
          <td th:text="${data.getNamaDosen()}"></td>
          <td class="text-center">
            <span th:if="${data.getStatus() == 'BI'}" class="text-bg-secondary p-1 rounded-pill small">
               - belum ada item -
            </span>
          <span th:if="${data.getStatus() == 'BN'}" class="text-bg-danger p-1 rounded-pill small">
              - belum dinilai -
            </span>

          <span th:if="${data.getStatus() == 'BSN'}" class="text-bg-warning p-1 rounded-pill small">
               - belum selesai dinilai -
            </span>

          <span th:if="${data.getStatus() == 'SN'}" class="text-bg-success p-1 rounded-pill small">
              - selesai -
            </span>
          </td>
          <td>
            <a class="btn btn-primary" th:if="${(data.getStatus() == 'BN' or data.getStatus() == 'BSN' or data.getStatus() == 'SN') and ada > 0}" th:href="@{/assesment/detail(dosen=${data.getIdDosen()})}">Asses</a>
            <a class="btn btn-secondary" th:if="${data.getStatus() == 'BI' or ada == 0}" th:disabled="true">Asses</a>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>

</div>
</body>
</html>